/*
   program       : various

   $Source: /home/yee/C/RCS/codes.h,v $
   $Author: yee $
   $Date: 1998/08/22 15:37:39 $
   $Revision: 1.4 $

   Parameters : none

   Assumptions : none known

   Bugs : none known

   This file DEFINES codes (both error codes and modes).

   $Log: codes.h,v $
   Revision 1.4  1998/08/22 15:37:39  yee
   all geometries work!

   Copyright 1997 by Conway Yee.  All rights reserved.
 */

/*****************************************************************************/
/*****************************************************************************/

#ifndef CODES_H
#define CODES_H

#define FAILURE 0
#define SUCCESS 1

#define FFT_NOT_POWER2 -1       /* error code for ndim != power of 2 */
#define FFT_MEMORY_ERROR -2     /* error in memory allocation */

#define ALLOC_ERROR -3
#define MDMALLOC_ILLEGAL_DIMENSION -4

#define HEADER_ERROR -5
#define UNSUPPORTED_MODE -6
#define ILLEGAL_ARGUMENTS -7
#define INCOMPATIBLE_DATA -8

#define ALLOC_CONTIGUOUS 0x0002 /* mdmalloc to produce contiguous array */
#define ALLOC_DISCRETE 0x0000   /* mdmalloc uses malloc() for array rows */

#define FFT_FORWARD  0x0001     /* forward vs inverse transform */
#define FFT_INVERSE  0x0000

#endif CODES_H
